Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223948 - libnash.so installed in /usr/lib
Summary: libnash.so installed in /usr/lib
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 08:14 UTC by Bernie Innocenti
Modified: 2009-05-05 21:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-05 21:36:48 UTC


Attachments (Terms of Use)

Description Bernie Innocenti 2007-01-23 08:14:19 UTC
Description of problem:

(this bug should actually be against nash, but I can't find it in the bugzilla
component list)

If /usr is on a different filesystem, the /sbin/nash invocation in rc.sysinit
fails because it can't find /usr/lib{,64}/libnash.so.

libnash.so* should be installed in /lib{,64} .

Comment 1 Bernie Innocenti 2007-02-06 07:58:30 UTC
ping?

Comment 2 Mamoru TASAKA 2007-02-22 08:59:04 UTC
I see the same problem.

On my system:
------------------------------------------
[root@localhost ~]# LANG=C df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                       1032088    614080    365580  63% /
/dev/sda3                77771     25019     48736  34% /boot
none                    376012         0    376012   0% /dev/shm
/dev/mapper/VolGroup00-LogVol02
                      24383892  15633612   7511652  68% /home
/dev/sda8               248895      8421    227624   4% /tmp
/dev/mapper/VolGroup00-LogVol01
                       9579324   6501036   2591684  72% /usr
/dev/sda7               497829    322850    149277  69% /var
------------------------------------------
And every time I (re)boot, the boot message complains like
"nash: libnash.so.6.0.6: cannot load ... no such files"

libnash.so.* should be moved to /lib IMO.

Comment 3 Bug Zapper 2008-04-03 18:55:42 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bernie Innocenti 2008-04-03 19:14:43 UTC
This is still the case as of today's rawhide.

Comment 5 Bug Zapper 2008-05-14 02:33:53 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Jeremy Katz 2009-05-05 21:36:48 UTC
rc.sysinit doesn't require nash anymore and /usr should be mounted to run mkinitrd (we need it for other libraries too)


Note You need to log in before you can comment on or make changes to this bug.